# Interface AnnotationTree

All Superinterfaces:
  `ExpressionTree, Tree`

public interface AnnotationTree extends ExpressionTree
A tree node for an annotation. For example:

       @annotationType
       @annotationType ( arguments )

See Java Language Specification:
  9.7 Annotations
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`Tree`
`getAnnotationType()`
Returns the annotation type.
`List<? extends ExpressionTree>`
`getArguments()`
Returns the arguments, if any, for the annotation.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getAnnotationType

Tree getAnnotationType()
Returns the annotation type.

Returns:
  the annotation type

### getArguments

List<? extends ExpressionTree> getArguments()
Returns the arguments, if any, for the annotation.

Returns:
  the arguments for the annotation type